xine-lib: xine_sarray_s Struct Reference

xine-lib 1.2.12

Data Fields
xine_sarray_s Struct Reference

## Data Fields
void ** | chunk
size_t | chunk_size
size_t | size
xine_sarray_comparator_t | comparator
int(* | find )(xine_sarray_t *sarray, void *key)
unsigned int | mode
unsigned int | last_add [2]
unsigned int | first_test
unsigned int | same_dir
void * | default_chunk [1]

## Field Documentation

## ◆ chunk

void** xine_sarray_s::chunk

Referenced by _xine_sarray_find_default(), _xine_sarray_find_first(), _xine_sarray_find_last(), _xine_sarray_insert(), xine_sarray_delete(), xine_sarray_get(), xine_sarray_move_location(), xine_sarray_new(), xine_sarray_remove(), and xine_sarray_remove_ptr().

## ◆ chunk_size

size_t xine_sarray_s::chunk_size

Referenced by _xine_sarray_insert(), and xine_sarray_new().

## ◆ comparator

xine_sarray_comparator_t xine_sarray_s::comparator

Referenced by _xine_sarray_find_default(), _xine_sarray_find_first(), _xine_sarray_find_last(), and xine_sarray_new().

## ◆ default_chunk

void* xine_sarray_s::default_chunk[1]

Referenced by _xine_sarray_insert(), xine_sarray_delete(), and xine_sarray_new().

## ◆ find

int(* xine_sarray_s::find) (xine_sarray_t *sarray, void *key)

Referenced by xine_sarray_add(), xine_sarray_binary_search(), xine_sarray_new(), and xine_sarray_set_mode().

## ◆ first_test

unsigned int xine_sarray_s::first_test

Referenced by _xine_sarray_find_default(), _xine_sarray_find_first(), _xine_sarray_find_last(), xine_sarray_add(), and xine_sarray_binary_search().

## ◆ last_add

unsigned int xine_sarray_s::last_add[2]

Referenced by _xine_sarray_insert(), xine_sarray_add(), xine_sarray_clear(), xine_sarray_move_location(), xine_sarray_new(), xine_sarray_remove(), and xine_sarray_remove_ptr().

## ◆ mode

unsigned int xine_sarray_s::mode

Referenced by xine_sarray_add(), xine_sarray_new(), and xine_sarray_set_mode().

## ◆ same_dir

unsigned int xine_sarray_s::same_dir

Referenced by _xine_sarray_insert(), xine_sarray_add(), xine_sarray_clear(), xine_sarray_move_location(), xine_sarray_new(), xine_sarray_remove(), and xine_sarray_remove_ptr().

## ◆ size

size_t xine_sarray_s::size

Referenced by _xine_sarray_find_default(), _xine_sarray_find_first(), _xine_sarray_find_last(), _xine_sarray_insert(), xine_sarray_add(), xine_sarray_binary_search(), xine_sarray_clear(), xine_sarray_move_location(), xine_sarray_new(), xine_sarray_remove(), xine_sarray_remove_ptr(), and xine_sarray_size().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/xine-utils/sorted_array.c